%define snap 20140224
%define rel  8

Name:          byzanz
Version:       0.3
Release:       %mkrel -c git%{snap} %{rel}
Summary:       A desktop recorder
License:       GPLv3+
Group:         Video/Editors and Converters 
URL:           http://git.gnome.org/browse/byzanz
#Source0: http://download.gnome.org/sources/%%{name}/0.2/%%{name}-%%{version}.tar.bz2
#git clone git://git.gnome.org/byzanz
#git archive --prefix=byzanz-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../byzanz-$(date +%Y%m%d).tar.xz

Source0:       %{name}-%{snap}.tar.xz

BuildRequires: gnome-common
BuildRequires: pkgconfig(cairo) >= 1.8.10
BuildRequires: gtk3-devel
BuildRequires: pkgconfig(xdamage) >= 1.0
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: pkgconfig(gstreamer-base-1.0) 
BuildRequires: gstreamer1.0-plugins-base-devel
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: perl(XML::Parser)


%description
Byzanz is a desktop recorder striving for ease of use. It can record to 
GIF images, Ogg Theora video - optionally with sound - and other formats.
A command-line recording tool is included.

%prep
%setup -q -n %{name}-%{snap}

NOCONFIGURE=1 ./autogen.sh

%build
CFLAGS="%{optflags} -Wno-deprecated-declarations"
%ifarch %{arm}
# http://rwmj.wordpress.com/2014/01/06/alignment-errors-on-fedora-arm/
CFLAGS="$CFLAGS -Wno-cast-align"
%endif
%configure
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS
%{_bindir}/%{name}-playback
%{_bindir}/%{name}-record
%{_datadir}/icons/hicolor/*/apps/%{name}-record-area.*
%{_datadir}/icons/hicolor/*/apps/%{name}-record-desktop.*
%{_datadir}/icons/hicolor/*/apps/%{name}-record-window.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-playback.1*
%{_mandir}/man1/%{name}-record.1*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3-0.git20140224.8.mga8
+ Revision: 1510828
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 0.3-0.git20140224.7.mga7
+ Revision: 1295753
- Mageia 7 Mass Rebuild

* Sat Jan 16 2016 daviddavid <daviddavid> 0.3-0.git20140224.6.mga6
+ Revision: 924783
- pass NOCONFIGURE=1 to autogen
- remove duplicates arm arch

* Sat Jan 16 2016 daviddavid <daviddavid> 0.3-0.git20140224.5.mga6
+ Revision: 923556
- fix arm build adding our arm arch with %%{arm}

* Sat Jan 16 2016 daviddavid <daviddavid> 0.3-0.git20140224.4.mga6
+ Revision: 923540
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.3-0.git20140224.3.mga5
+ Revision: 743090
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-0.git20140224.2.mga5
+ Revision: 678262
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- clean spec

* Tue Mar 04 2014 bersuit <bersuit> 0.3-0.git20140224.1.mga5
+ Revision: 599521
- Change group to Video/Editors and Converters
- Add URL tag in spec
- Fixed some spec mistakes
- imported package byzanz

